Summary:	Container network stack
Name:		netavark
Version:	1.14.0
Release:	1
License:	Apache v2.0
Group:		Applications/System
Source0:	https://github.com/containers/netavark/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	5ec92bb108f1577d5344edf62bceb0cb
Source1:	https://github.com/containers/netavark/releases/download/v%{version}/%{name}-v%{version}-vendor.tar.gz
# Source1-md5:	046daf15668b97f9f94c4ee7e65e91c0
URL:		https://github.com/containers/netavark
BuildRequires:	cargo
BuildRequires:	go-md2man
BuildRequires:	protobuf
BuildRequires:	rpmbuild(macros) >= 2.004
BuildRequires:	rust
Suggests:	aardvark-dns
ExclusiveArch:	%{rust_arches}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Netavark is a tool for configuring networking for Linux containers.
Its features include:
- Configuration of container networks via JSON configuration file
- Creation and management of required network interfaces, including
  MACVLAN networks
- All required firewall configuration to perform NAT and port
  forwarding as required for containers
- Support for iptables, firewalld and nftables
- Support for rootless containers
- Support for IPv4 and IPv6
- Support for container DNS resolution via the aardvark-dns project

%prep
%setup -q -a1

# use our offline registry
export CARGO_HOME="$(pwd)/.cargo"

mkdir -p "$CARGO_HOME"
cat >.cargo/config <<EOF
[source.crates-io]
registry = 'https://github.com/rust-lang/crates.io-index'
replace-with = 'vendored-sources'

[source.vendored-sources]
directory = '$PWD/vendor'
EOF

%build
export CARGO_HOME="$(pwd)/.cargo"

%cargo_build

%{__make} -C docs

%install
rm -rf $RPM_BUILD_ROOT
export CARGO_HOME="$(pwd)/.cargo"

install -D %cargo_objdir/netavark $RPM_BUILD_ROOT%{_libexecdir}/podman/netavark

%{__make} -C docs install \
	DESTDIR=$RPM_BUILD_ROOT \
	MANDIR="%{_mandir}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md RELEASE_NOTES.md SECURITY.md
%attr(755,root,root) %{_libexecdir}/podman/netavark
%{_mandir}/man1/netavark.1*
%{_mandir}/man7/netavark-firewalld.7*
%changelog
* Fri Feb 14 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/netavark.git;a=log;h=master

* Thu Feb 13 2025 Jan Palus <atler@pld-linux.org> 9a263f5
- up to 1.14.0

* Fri Nov 01 2024 Jan Palus <atler@pld-linux.org> 61cdaf6
- up to 1.13.0

* Fri Aug 02 2024 Jan Palus <atler@pld-linux.org> ad44983
- Release 2 (by relup.sh)

* Thu Aug 01 2024 Jan Palus <atler@pld-linux.org> 69ba10d
- up to 1.12.0

* Thu May 30 2024 Jan Palus <atler@pld-linux.org> ae69ba6
- up to 1.11.0

* Tue Feb 13 2024 Jan Palus <atler@pld-linux.org> 7467f37
- up to 1.10.3

* Thu Feb 01 2024 Jan Palus <atler@pld-linux.org> a412dc5
- up to 1.10.2

* Thu Jan 25 2024 Jan Palus <atler@pld-linux.org> 88c8ee4
- up to 1.10.1

* Thu Jan 25 2024 Jan Palus <atler@pld-linux.org> a0e6685
- up to 1.10.0

* Tue Nov 28 2023 Jan Palus <atler@pld-linux.org> ea7f578
- up to 1.9.0

* Thu Sep 28 2023 Jan Palus <atler@pld-linux.org> a88a7fe
- up to 1.8.0

* Thu Jun 29 2023 Jan Palus <atler@pld-linux.org> e45987f
- up to 1.7.0

* Wed May 24 2023 Jan Palus <atler@pld-linux.org> cb0648c
- up to 1.6.0

* Thu Feb 02 2023 Jan Palus <atler@pld-linux.org> a1f3d9b
- new

